# Uses of Class
org.apache.cxf.phase.PhaseInterceptorChain

Packages that use PhaseInterceptorChain
Package
Description
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.phase
org.apache.cxf.transport

- ## Uses of PhaseInterceptorChain in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint that return PhaseInterceptorChain
  Modifier and Type
  Method
  Description
  `protected PhaseInterceptorChain`
  ClientImpl.`setupInterceptorChain(Endpoint endpoint)`

- ## Uses of PhaseInterceptorChain in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor with parameters of type PhaseInterceptorChain
  Modifier and Type
  Method
  Description
  `protected void`
  AbstractFaultChainInitiatorObserver.`initializeInterceptors(Exchange ex, PhaseInterceptorChain chain)`
  `protected void`
  InFaultChainInitiatorObserver.`initializeInterceptors(Exchange ex, PhaseInterceptorChain chain)`
  `protected void`
  OutFaultChainInitiatorObserver.`initializeInterceptors(Exchange ex, PhaseInterceptorChain chain)`

- ## Uses of PhaseInterceptorChain in org.apache.cxf.phase

  Methods in org.apache.cxf.phase that return PhaseInterceptorChain
  Modifier and Type
  Method
  Description
  `PhaseInterceptorChain`
  PhaseInterceptorChain.`cloneChain()`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3, List<Interceptor<? extends Message>> p4)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3, List<Interceptor<? extends Message>> p4, List<Interceptor<? extends Message>> p5)`
  Methods in org.apache.cxf.phase with parameters of type PhaseInterceptorChain
  Modifier and Type
  Method
  Description
  `static boolean`
  PhaseInterceptorChain.`setCurrentMessage(PhaseInterceptorChain chain, Message m)`

- ## Uses of PhaseInterceptorChain in org.apache.cxf.transport

  Methods in org.apache.cxf.transport that return PhaseInterceptorChain
  Modifier and Type
  Method
  Description
  `protected PhaseInterceptorChain`
  MultipleEndpointObserver.`createChain()`